Bug 178256 - [PATCH] Unbreak math/py-numpy with python 3.3 and update to 1.7.0.
Summary: [PATCH] Unbreak math/py-numpy with python 3.3 and update to 1.7.0.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-30 13:00 UTC by rsmith
Modified: 2013-05-20 21:20 UTC (History)
0 users

See Also:


Attachments
file.diff (89.36 KB, patch)
2013-04-30 13:00 UTC, rsmith
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rsmith 2013-04-30 13:00:00 UTC
	The current numpy in ports (1.6.2) doesn't build with python3.3.

Fix: Apply the following patch to the port:
---------- patch ----------
How-To-Repeat: 	Try building numpy 1.6.2 with python3.3. It fails;

In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:10:0
:
numpy/core/src/multiarray/scalartypes.c.src: In function 'string_arrtype_new':
numpy/core/src/multiarray/scalartypes.c.src:2326:45: error: 'PyUnicodeObject' h
as no member named 'length'
In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:10:0
:
numpy/core/src/multiarray/scalartypes.c.src: In function 'unicode_arrtype_new':
numpy/core/src/multiarray/scalartypes.c.src:2326:45: error: 'PyUnicodeObject' h
as no member named 'length'
In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:11:0
:
numpy/core/src/multiarray/scalarapi.c: In function 'PyArray_Scalar':
numpy/core/src/multiarray/scalarapi.c:704:16: error: 'PyUnicodeObject' has no m
ember named 'str'
numpy/core/src/multiarray/scalarapi.c:705:16: error: 'PyUnicodeObject' has no m
ember named 'defenc'
numpy/core/src/multiarray/scalarapi.c:706:16: error: 'PyUnicodeObject' has no m
ember named 'hash'
numpy/core/src/multiarray/scalarapi.c:718:16: error: 'PyUnicodeObject' has no m
ember named 'str'
numpy/core/src/multiarray/scalarapi.c:719:16: error: 'PyUnicodeObject' has no m
ember named 'str'
numpy/core/src/multiarray/scalarapi.c:720:16: error: 'PyUnicodeObject' has no m
ember named 'length'
In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:14:0
:
numpy/core/src/multiarray/arraytypes.c.src: In function 'VOID_getitem':
numpy/core/src/multiarray/arraytypes.c.src:591:35: warning: assignment from inc
ompatible pointer type [enabled by default]
In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:25:0
:
numpy/core/src/multiarray/getset.c: In function 'array_data_get':
numpy/core/src/multiarray/getset.c:293:5: warning: passing argument 1 of 'PyMem
oryView_FromObject' from incompatible pointer type [enabled by default]
/usr/local/include/python3.3m/memoryobject.h:23:24: note: expected 'struct PyOb
ject *' but argument is of type 'struct PyArrayObject *'
In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:39:0
:
numpy/core/src/multiarray/nditer_pywrap.c: In function 'npyiter_subscript':
numpy/core/src/multiarray/nditer_pywrap.c:2264:29: warning: passing argument 1 
of 'PySlice_GetIndices' from incompatible pointer type [enabled by default]
/usr/local/include/python3.3m/sliceobject.h:38:17: note: expected 'struct PyObj
ect *' but argument is of type 'struct PySliceObject *'
numpy/core/src/multiarray/nditer_pywrap.c: In function 'npyiter_ass_subscript':
numpy/core/src/multiarray/nditer_pywrap.c:2314:29: warning: passing argument 1 
of 'PySlice_GetIndices' from incompatible pointer type [enabled by default]
/usr/local/include/python3.3m/sliceobject.h:38:17: note: expected 'struct PyObject *' but argument is of type 'struct PySliceObject *'
In file included from numpy/core/src/private/npy_config.h:4:0,
                 from numpy/core/src/multiarray/common.c:8,
                 from numpy/core/src/multiarray/multiarraymodule_onefile.c:8:
build/src.freebsd-9.1-RELEASE-p1-amd64-3.3/numpy/core/include/numpy/config.h:27:0: warning: "HAVE_LOG2" redefined [enabled by default]
/usr/local/include/python3.3m/pyconfig.h:518:0: note: this is the location of the previous definition
In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:10:0:
numpy/core/src/multiarray/scalartypes.c.src: In function 'string_arrtype_new':
numpy/core/src/multiarray/scalartypes.c.src:2326:45: error: 'PyUnicodeObject' has no member named 'length'
In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:10:0:
numpy/core/src/multiarray/scalartypes.c.src: In function 'unicode_arrtype_new':
numpy/core/src/multiarray/scalartypes.c.src:2326:45: error: 'PyUnicodeObject' has no member named 'length'
In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:11:0:
numpy/core/src/multiarray/scalarapi.c: In function 'PyArray_Scalar':
numpy/core/src/multiarray/scalarapi.c:704:16: error: 'PyUnicodeObject' has no member named 'str'
numpy/core/src/multiarray/scalarapi.c:705:16: error: 'PyUnicodeObject' has no member named 'defenc'
numpy/core/src/multiarray/scalarapi.c:706:16: error: 'PyUnicodeObject' has no member named 'hash'
numpy/core/src/multiarray/scalarapi.c:718:16: error: 'PyUnicodeObject' has no member named 'str'
numpy/core/src/multiarray/scalarapi.c:719:16: error: 'PyUnicodeObject' has no member named 'str'
numpy/core/src/multiarray/scalarapi.c:720:16: error: 'PyUnicodeObject' has no member named 'length'
In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:14:0:
numpy/core/src/multiarray/arraytypes.c.src: In function 'VOID_getitem':
numpy/core/src/multiarray/arraytypes.c.src:591:35: warning: assignment from incompatible pointer type [enabled by default]
In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:25:0:
numpy/core/src/multiarray/getset.c: In function 'array_data_get':
numpy/core/src/multiarray/getset.c:293:5: warning: passing argument 1 of 'PyMemoryView_FromObject' from incompatible pointer type [enabled by default]
/usr/local/include/python3.3m/memoryobject.h:23:24: note: expected 'struct PyObject *' but argument is of type 'struct PyArrayObject *'
In file included from numpy/core/src/multiarray/multiarraymodule_onefile.c:39:0:
numpy/core/src/multiarray/nditer_pywrap.c: In function 'npyiter_subscript':
numpy/core/src/multiarray/nditer_pywrap.c:2264:29: warning: passing argument 1 of 'PySlice_GetIndices' from incompatible pointer type [enabled by default]
/usr/local/include/python3.3m/sliceobject.h:38:17: note: expected 'struct PyObject *' but argument is of type 'struct PySliceObject *'
numpy/core/src/multiarray/nditer_pywrap.c: In function 'npyiter_ass_subscript':
numpy/core/src/multiarray/nditer_pywrap.c:2314:29: warning: passing argument 1 of 'PySlice_GetIndices' from incompatible pointer type [enabled by default]
/usr/local/include/python3.3m/sliceobject.h:38:17: note: expected 'struct PyObject *' but argument is of type 'struct PySliceObject *'
*** [do-build] Error code 1

Stop in /usr/ports/math/py-numpy.
*** [build] Error code 1

Stop in /usr/ports/math/py-numpy.
Comment 1 Edwin Groothuis freebsd_committer 2013-04-30 13:00:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-04-30 13:00:20 UTC
Maintainer of math/py-numpy,

Please note that PR ports/178256 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178256

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-04-30 13:00:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Li-Lun Wang 2013-05-20 06:41:47 UTC
Thanks for the patch and sorry for the delay.  I don't think you can
remove PORTEPOCH.  Otherwise I approve this patch.

-- Li-Lun Wang

On Tue, Apr 30, 2013 at 5:00 AM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of math/py-numpy,
>
> Please note that PR ports/178256 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178256
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 5 dfilter service freebsd_committer 2013-05-20 07:20:40 UTC
Author: demon
Date: Mon May 20 06:20:28 2013
New Revision: 318575
URL: http://svnweb.freebsd.org/changeset/ports/318575

Log:
  Update to version 1.7.0 (and unbreak with python-3.3).
  
  PR:		178256
  Submitted by:	Roland Smith <rsmith@xs4all.nl>
  Approved by:	maintainer

Modified:
  head/math/py-numpy/Makefile
  head/math/py-numpy/distinfo
  head/math/py-numpy/files/patch-numpy-distutils-system_info.py
  head/math/py-numpy/pkg-descr
  head/math/py-numpy/pkg-plist

Modified: head/math/py-numpy/Makefile
==============================================================================
--- head/math/py-numpy/Makefile	Mon May 20 06:14:09 2013	(r318574)
+++ head/math/py-numpy/Makefile	Mon May 20 06:20:28 2013	(r318575)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	numpy
-# Date created:				24 July 2006
-# Whom:					Tony Maher
-#
+# Created by: Tony Maher
 # $FreeBSD$
-#
 
 PORTNAME=	numpy
-PORTVERSION=	1.6.2
-PORTREVISION=	1
+PORTVERSION=	1.7.0
 PORTEPOCH=	1
 CATEGORIES=	math python
 MASTER_SITES=	http://docs.scipy.org/doc/${DISTNAME:C/\..$/.0/}/:doc \
@@ -75,8 +70,8 @@ PYDISTUTILS_CONFIGUREARGS+=	--fcompiler=
 PYDISTUTILS_BUILDARGS+=	--fcompiler=gnu95
 
 post-extract:
-	@${CP} ${DISTDIR}/numpy-ref.pdf ${WRKDIR}
-	@${CP} ${DISTDIR}/numpy-user.pdf ${WRKDIR}
+	@${CP} ${DISTDIR}/numpy-ref-${PORTVERSION}.pdf ${WRKDIR}
+	@${CP} ${DISTDIR}/numpy-user-${PORTVERSION}.pdf ${WRKDIR}
 
 post-patch:
 	@${REINPLACE_CMD} -e "s+%%FC%%+${FC}+" ${WRKSRC}/numpy/distutils/fcompiler/gnu.py
@@ -118,8 +113,8 @@ post-install:
 	${INSTALL_MAN} ${WRKSRC}/numpy/f2py/f2py.1 ${MAN1PREFIX}/man/man1
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKDIR}/numpy-ref.pdf ${DOCSDIR}
-	${INSTALL_DATA} ${WRKDIR}/numpy-user.pdf ${DOCSDIR}
+	${INSTALL_DATA} ${WRKDIR}/numpy-ref-${PORTVERSION}.pdf ${DOCSDIR}
+	${INSTALL_DATA} ${WRKDIR}/numpy-user-${PORTVERSION}.pdf ${DOCSDIR}
 .endif
 .if defined(WITH_FIXED_FENV)
 	@if [ "`${PKG_VERSION} -t \"\`\\\`${CC} -print-prog-name=as\\\` --version | ${AWK} 'NR==1 {sub(/\(GNU Binutils\)/,""); print $$3}'\`\" 2.18.49`" = ">" ] ; then \

Modified: head/math/py-numpy/distinfo
==============================================================================
--- head/math/py-numpy/distinfo	Mon May 20 06:14:09 2013	(r318574)
+++ head/math/py-numpy/distinfo	Mon May 20 06:20:28 2013	(r318575)
@@ -1,9 +1,9 @@
-SHA256 (numpy-1.6.2.tar.gz) = 0b83d96ab79711b548470b7aeee1272c4ba8fcbba6586a67116b566a21ed16c6
-SIZE (numpy-1.6.2.tar.gz) = 2585329
-SHA256 (numpy-ref.pdf) = cbeea9b1395e0576bbd256c5de11886c63321d434785c6777df7bdd50109ba9f
-SIZE (numpy-ref.pdf) = 6106335
-SHA256 (numpy-user.pdf) = d8d51913cb494228f69c5f16d659b8539cbd04c6e584fde72c00c382e86eea8f
-SIZE (numpy-user.pdf) = 474664
+SHA256 (numpy-1.7.0.tar.gz) = f4fa70b7edbab65ee6432eb63743f5489f1919c614632b20b2fb45aa7e682ac6
+SIZE (numpy-1.7.0.tar.gz) = 2832457
+SIZE (numpy-ref-1.7.0.pdf) = 5161456
+SHA256 (numpy-ref-1.7.0.pdf) = 0581709ef96441953404bc1369d70117b83359aff94f44779b960bed30a156d7
+SIZE (numpy-user-1.7.0.pdf) = 404104
+SHA256 (numpy-user-1.7.0.pdf) = 0c8dc1d53cc057a66139039dbaaf65499687cf64e72af5852eb96d9c3cd3ab18
 SHA256 (i387/fenv.c?p=203441) = c7c558ddb6ab6604c83062fe0655d3ce8cf4d60edb4c9c82777962c49d23ca54
 SIZE (i387/fenv.c?p=203441) = 4791
 SHA256 (i387/fenv.h?p=203441) = 40c72f3cdd6990076394056e06461e1daeb6087b6a32f1962d3c33b0a00c0e0d

Modified: head/math/py-numpy/files/patch-numpy-distutils-system_info.py
==============================================================================
--- head/math/py-numpy/files/patch-numpy-distutils-system_info.py	Mon May 20 06:14:09 2013	(r318574)
+++ head/math/py-numpy/files/patch-numpy-distutils-system_info.py	Mon May 20 06:20:28 2013	(r318575)
@@ -1,9 +1,9 @@
---- numpy/distutils/system_info.py.orig	2011-07-01 22:31:13.000000000 +0100
-+++ numpy/distutils/system_info.py	2011-11-26 09:54:54.000000000 +0000
-@@ -910,8 +910,8 @@
+--- numpy/distutils/system_info.py.orig	2013-02-09 22:04:56.000000000 +0100
++++ numpy/distutils/system_info.py	2013-03-22 21:01:34.000000000 +0100
+@@ -983,8 +983,8 @@
      dir_env_var = 'ATLAS'
-     _lib_names = ['f77blas','cblas']
-     if sys.platform[:7]=='freebsd':
+     _lib_names = ['f77blas', 'cblas']
+     if sys.platform[:7] == 'freebsd':
 -        _lib_atlas = ['atlas_r']
 -        _lib_lapack = ['alapack_r']
 +        _lib_atlas = ['atlas']
@@ -11,11 +11,3 @@
      else:
          _lib_atlas = ['atlas']
          _lib_lapack = ['lapack']
-@@ -939,6 +939,7 @@
-             atlas = self.check_libs2(d,atlas_libs,[])
-             lapack_atlas = self.check_libs2(d,['lapack_atlas'],[])
-             if atlas is not None:
-+                atlas['libraries'].extend(['gfortran', 'm', 'pthread'])
-                 lib_dirs2 = [d] + self.combine_paths(d,['atlas*','ATLAS*'])
-                 for d2 in lib_dirs2:
-                     lapack = self.check_libs2(d2,lapack_libs,[])

Modified: head/math/py-numpy/pkg-descr
==============================================================================
--- head/math/py-numpy/pkg-descr	Mon May 20 06:14:09 2013	(r318574)
+++ head/math/py-numpy/pkg-descr	Mon May 20 06:20:28 2013	(r318575)
@@ -15,4 +15,4 @@ and can also be used to replace numarray
 Note:	Development for Numeric has ceased, and users should transisition to
 	NumPy as quickly as possible.
 
-WWW: http://numpy.scipy.org/
+WWW: http://www.numpy.org/

Modified: head/math/py-numpy/pkg-plist
==============================================================================
--- head/math/py-numpy/pkg-plist	Mon May 20 06:14:09 2013	(r318574)
+++ head/math/py-numpy/pkg-plist	Mon May 20 06:20:28 2013	(r318575)
@@ -1,68 +1,100 @@
 bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/__config__.py
-%%PYTHON_SITELIBDIR%%/numpy/__config__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/__config__.pyo
 %%PYTHON_SITELIBDIR%%/numpy/__init__.py
-%%PYTHON_SITELIBDIR%%/numpy/__init__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/__config__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/__config__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/__init__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/__init__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/_import_tools.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/_import_tools.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/add_newdocs.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/add_newdocs.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/ctypeslib.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/ctypeslib.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/dual.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/dual.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/matlib.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/matlib.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/setup.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/setup.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/setupscons.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/setupscons.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/version.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/__pycache__/version.cpython-33.pyo
 %%PYTHON_SITELIBDIR%%/numpy/_import_tools.py
-%%PYTHON_SITELIBDIR%%/numpy/_import_tools.pyc
-%%PYTHON_SITELIBDIR%%/numpy/_import_tools.pyo
 %%PYTHON_SITELIBDIR%%/numpy/add_newdocs.py
-%%PYTHON_SITELIBDIR%%/numpy/add_newdocs.pyc
-%%PYTHON_SITELIBDIR%%/numpy/add_newdocs.pyo
 %%PYTHON_SITELIBDIR%%/numpy/compat/__init__.py
-%%PYTHON_SITELIBDIR%%/numpy/compat/__init__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/compat/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/compat/__pycache__/__init__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/compat/__pycache__/__init__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/compat/__pycache__/_inspect.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/compat/__pycache__/_inspect.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/compat/__pycache__/py3k.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/compat/__pycache__/py3k.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/compat/__pycache__/setup.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/compat/__pycache__/setup.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/compat/__pycache__/setupscons.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/compat/__pycache__/setupscons.cpython-33.pyo
 %%PYTHON_SITELIBDIR%%/numpy/compat/_inspect.py
-%%PYTHON_SITELIBDIR%%/numpy/compat/_inspect.pyc
-%%PYTHON_SITELIBDIR%%/numpy/compat/_inspect.pyo
 %%PYTHON_SITELIBDIR%%/numpy/compat/py3k.py
-%%PYTHON_SITELIBDIR%%/numpy/compat/py3k.pyc
-%%PYTHON_SITELIBDIR%%/numpy/compat/py3k.pyo
 %%PYTHON_SITELIBDIR%%/numpy/compat/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/compat/setup.pyc
-%%PYTHON_SITELIBDIR%%/numpy/compat/setup.pyo
 %%PYTHON_SITELIBDIR%%/numpy/compat/setupscons.py
-%%PYTHON_SITELIBDIR%%/numpy/compat/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/compat/setupscons.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/__init__.py
-%%PYTHON_SITELIBDIR%%/numpy/core/__init__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/__init__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/__init__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/_internal.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/_internal.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/_methods.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/_methods.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/arrayprint.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/arrayprint.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/defchararray.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/defchararray.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/fromnumeric.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/fromnumeric.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/function_base.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/function_base.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/generate_numpy_api.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/generate_numpy_api.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/getlimits.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/getlimits.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/info.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/info.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/machar.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/machar.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/memmap.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/memmap.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/numeric.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/numeric.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/numerictypes.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/numerictypes.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/records.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/records.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/scons_support.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/scons_support.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/setup.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/setup.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/setup_common.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/setup_common.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/setupscons.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/setupscons.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/shape_base.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/core/__pycache__/shape_base.cpython-33.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/_dotblas.so
+%%PYTHON_SITELIBDIR%%/numpy/core/_dummy.so
 %%PYTHON_SITELIBDIR%%/numpy/core/_internal.py
-%%PYTHON_SITELIBDIR%%/numpy/core/_internal.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/_internal.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/_mx_datetime_parser.py
-%%PYTHON_SITELIBDIR%%/numpy/core/_mx_datetime_parser.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/_mx_datetime_parser.pyo
-%%PYTHON_SITELIBDIR%%/numpy/core/_sort.so
+%%PYTHON_SITELIBDIR%%/numpy/core/_methods.py
 %%PYTHON_SITELIBDIR%%/numpy/core/arrayprint.py
-%%PYTHON_SITELIBDIR%%/numpy/core/arrayprint.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/arrayprint.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/defchararray.py
-%%PYTHON_SITELIBDIR%%/numpy/core/defchararray.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/defchararray.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/fromnumeric.py
-%%PYTHON_SITELIBDIR%%/numpy/core/fromnumeric.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/fromnumeric.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/function_base.py
-%%PYTHON_SITELIBDIR%%/numpy/core/function_base.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/function_base.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/generate_numpy_api.py
-%%PYTHON_SITELIBDIR%%/numpy/core/generate_numpy_api.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/generate_numpy_api.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/getlimits.py
-%%PYTHON_SITELIBDIR%%/numpy/core/getlimits.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/getlimits.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/__multiarray_api.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/__ufunc_api.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/_neighborhood_iterator_imp.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/_numpyconfig.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/arrayobject.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/arrayscalars.h
-%%FENV%%%%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/fenv/fenv.c
-%%FENV%%%%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/fenv/fenv.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/halffloat.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/multiarray_api.txt
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/ndarrayobject.h
@@ -71,9 +103,11 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_3kcompat.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_common.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_cpu.h
+%%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_deprecated_api.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_endian.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_interrupt.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_math.h
+%%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_no_deprecated_api.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/npy_os.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/numpyconfig.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/old_defines.h
@@ -82,44 +116,22 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/ufuncobject.h
 %%PYTHON_SITELIBDIR%%/numpy/core/include/numpy/utils.h
 %%PYTHON_SITELIBDIR%%/numpy/core/info.py
-%%PYTHON_SITELIBDIR%%/numpy/core/info.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/info.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/lib/libnpymath.a
 %%PYTHON_SITELIBDIR%%/numpy/core/lib/npy-pkg-config/mlib.ini
 %%PYTHON_SITELIBDIR%%/numpy/core/lib/npy-pkg-config/npymath.ini
 %%PYTHON_SITELIBDIR%%/numpy/core/machar.py
-%%PYTHON_SITELIBDIR%%/numpy/core/machar.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/machar.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/memmap.py
-%%PYTHON_SITELIBDIR%%/numpy/core/memmap.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/memmap.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/multiarray.so
 %%PYTHON_SITELIBDIR%%/numpy/core/multiarray_tests.so
 %%PYTHON_SITELIBDIR%%/numpy/core/numeric.py
-%%PYTHON_SITELIBDIR%%/numpy/core/numeric.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/numeric.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/numerictypes.py
-%%PYTHON_SITELIBDIR%%/numpy/core/numerictypes.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/numerictypes.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/records.py
-%%PYTHON_SITELIBDIR%%/numpy/core/records.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/records.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/scalarmath.so
 %%PYTHON_SITELIBDIR%%/numpy/core/scons_support.py
-%%PYTHON_SITELIBDIR%%/numpy/core/scons_support.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/scons_support.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/core/setup.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/setup.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/setup_common.py
-%%PYTHON_SITELIBDIR%%/numpy/core/setup_common.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/setup_common.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/setupscons.py
-%%PYTHON_SITELIBDIR%%/numpy/core/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/setupscons.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/shape_base.py
-%%PYTHON_SITELIBDIR%%/numpy/core/shape_base.pyc
-%%PYTHON_SITELIBDIR%%/numpy/core/shape_base.pyo
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/data/astype_copy.pkl
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/data/recarray_from_file.fits
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_api.py
@@ -133,10 +145,13 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_function_base.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_getlimits.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_half.py
-%%PYTHON_SITELIBDIR%%/numpy/core/tests/test_iterator.py
+%%PYTHON_SITELIBDIR%%/numpy/core/tests/test_indexerrors.py
+%%PYTHON_SITELIBDIR%%/numpy/core/tests/test_indexing.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_machar.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_memmap.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_multiarray.py
+%%PYTHON_SITELIBDIR%%/numpy/core/tests/test_multiarray_assignment.py
+%%PYTHON_SITELIBDIR%%/numpy/core/tests/test_nditer.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_numeric.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_numerictypes.py
 %%PYTHON_SITELIBDIR%%/numpy/core/tests/test_print.py
@@ -151,193 +166,193 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/core/umath.so
 %%PYTHON_SITELIBDIR%%/numpy/core/umath_tests.so
 %%PYTHON_SITELIBDIR%%/numpy/ctypeslib.py
-%%PYTHON_SITELIBDIR%%/numpy/ctypeslib.pyc
-%%PYTHON_SITELIBDIR%%/numpy/ctypeslib.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/__config__.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/__config__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/__config__.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/__init__.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/__init__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/__config__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/__config__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/__init__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/__init__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/__version__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/__version__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/ccompiler.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/ccompiler.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/compat.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/compat.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/conv_template.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/conv_template.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/core.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/core.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/cpuinfo.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/cpuinfo.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/environment.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/environment.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/exec_command.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/exec_command.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/extension.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/extension.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/from_template.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/from_template.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/info.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/info.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/intelccompiler.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/intelccompiler.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/interactive.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/interactive.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/lib2def.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/lib2def.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/line_endings.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/line_endings.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/log.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/log.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/mingw32ccompiler.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/mingw32ccompiler.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/misc_util.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/misc_util.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/npy_pkg_config.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/npy_pkg_config.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/numpy_distribution.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/numpy_distribution.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/pathccompiler.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/pathccompiler.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/setup.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/setup.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/setupscons.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/setupscons.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/system_info.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/system_info.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/unixccompiler.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/__pycache__/unixccompiler.cpython-33.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/__version__.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/__version__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/__version__.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/ccompiler.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/ccompiler.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/ccompiler.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/__init__.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__init__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/__init__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/__init__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/autodist.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/autodist.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/bdist_rpm.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/bdist_rpm.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build_clib.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build_clib.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build_ext.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build_ext.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build_py.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build_py.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build_scripts.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build_scripts.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build_src.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/build_src.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/config.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/config.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/config_compiler.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/config_compiler.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/develop.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/develop.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/egg_info.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/egg_info.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/install.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/install.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/install_clib.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/install_clib.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/install_data.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/install_data.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/install_headers.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/install_headers.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/scons.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/scons.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/sdist.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/command/__pycache__/sdist.cpython-33.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/autodist.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/autodist.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/autodist.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/bdist_rpm.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/bdist_rpm.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/bdist_rpm.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_clib.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_clib.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_clib.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_ext.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_ext.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_ext.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_py.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_py.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_py.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_scripts.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_scripts.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_scripts.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_src.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_src.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/build_src.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/config.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/config.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/config.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/config_compiler.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/config_compiler.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/config_compiler.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/develop.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/develop.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/develop.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/egg_info.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/egg_info.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/egg_info.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_clib.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_clib.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_clib.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_data.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_data.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_data.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_headers.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_headers.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/install_headers.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/scons.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/scons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/scons.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/command/sdist.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/sdist.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/command/sdist.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/compat.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/compat.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/compat.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/conv_template.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/conv_template.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/conv_template.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/core.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/core.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/core.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/cpuinfo.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/cpuinfo.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/cpuinfo.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/environment.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/environment.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/environment.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/exec_command.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/exec_command.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/exec_command.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/extension.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/extension.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/extension.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__init__.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__init__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/__init__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/__init__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/absoft.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/absoft.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/compaq.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/compaq.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/g95.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/g95.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/gnu.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/gnu.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/hpux.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/hpux.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/ibm.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/ibm.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/intel.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/intel.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/lahey.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/lahey.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/mips.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/mips.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/nag.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/nag.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/none.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/none.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/pathf95.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/pathf95.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/pg.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/pg.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/sun.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/sun.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/vast.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/__pycache__/vast.cpython-33.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/absoft.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/absoft.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/absoft.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/compaq.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/compaq.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/compaq.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/g95.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/g95.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/g95.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/gnu.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/gnu.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/gnu.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/hpux.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/hpux.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/hpux.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/ibm.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/ibm.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/ibm.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/intel.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/intel.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/intel.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/lahey.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/lahey.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/lahey.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/mips.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/mips.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/mips.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/nag.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/nag.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/nag.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/none.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/none.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/none.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pathf95.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pathf95.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pathf95.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pg.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pg.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/pg.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/sun.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/sun.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/sun.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/vast.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/vast.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/fcompiler/vast.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/from_template.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/from_template.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/from_template.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/info.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/info.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/info.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/intelccompiler.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/intelccompiler.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/intelccompiler.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/interactive.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/interactive.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/interactive.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/lib2def.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/lib2def.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/lib2def.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/line_endings.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/line_endings.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/line_endings.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/log.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/log.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/log.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/mingw/gfortran_vs2003_hack.c
 %%PYTHON_SITELIBDIR%%/numpy/distutils/mingw32ccompiler.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/mingw32ccompiler.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/mingw32ccompiler.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/misc_util.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/misc_util.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/misc_util.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/npy_pkg_config.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/npy_pkg_config.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/npy_pkg_config.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/numpy_distribution.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/numpy_distribution.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/numpy_distribution.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/pathccompiler.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/pathccompiler.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/pathccompiler.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/setup.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/setup.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/setupscons.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/setupscons.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/site.cfg
 %%PYTHON_SITELIBDIR%%/numpy/distutils/system_info.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/system_info.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/system_info.pyo
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/f2py_ext/__init__.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/f2py_ext/setup.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/f2py_ext/src/fib1.f
@@ -370,92 +385,106 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/test_misc_util.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/tests/test_npy_pkg_config.py
 %%PYTHON_SITELIBDIR%%/numpy/distutils/unixccompiler.py
-%%PYTHON_SITELIBDIR%%/numpy/distutils/unixccompiler.pyc
-%%PYTHON_SITELIBDIR%%/numpy/distutils/unixccompiler.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/__init__.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/__init__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/__init__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/__init__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/basics.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/basics.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/broadcasting.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/broadcasting.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/byteswapping.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/byteswapping.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/constants.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/constants.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/creation.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/creation.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/glossary.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/glossary.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/howtofind.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/howtofind.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/indexing.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/indexing.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/internals.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/internals.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/io.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/io.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/jargon.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/jargon.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/methods_vs_functions.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/methods_vs_functions.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/misc.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/misc.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/performance.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/performance.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/structured_arrays.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/structured_arrays.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/subclassing.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/subclassing.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/ufuncs.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/doc/__pycache__/ufuncs.cpython-33.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/basics.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/basics.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/basics.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/broadcasting.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/broadcasting.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/broadcasting.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/byteswapping.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/byteswapping.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/byteswapping.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/constants.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/constants.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/constants.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/creation.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/creation.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/creation.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/glossary.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/glossary.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/glossary.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/howtofind.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/howtofind.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/howtofind.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/indexing.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/indexing.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/indexing.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/internals.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/internals.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/internals.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/io.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/io.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/io.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/jargon.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/jargon.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/jargon.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/methods_vs_functions.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/methods_vs_functions.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/methods_vs_functions.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/misc.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/misc.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/misc.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/performance.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/performance.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/performance.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/structured_arrays.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/structured_arrays.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/structured_arrays.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/subclassing.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/subclassing.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/subclassing.pyo
 %%PYTHON_SITELIBDIR%%/numpy/doc/ufuncs.py
-%%PYTHON_SITELIBDIR%%/numpy/doc/ufuncs.pyc
-%%PYTHON_SITELIBDIR%%/numpy/doc/ufuncs.pyo
 %%PYTHON_SITELIBDIR%%/numpy/dual.py
-%%PYTHON_SITELIBDIR%%/numpy/dual.pyc
-%%PYTHON_SITELIBDIR%%/numpy/dual.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/__init__.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/__init__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/__init__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/__init__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/__version__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/__version__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/auxfuncs.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/auxfuncs.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/capi_maps.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/capi_maps.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/cb_rules.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/cb_rules.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/cfuncs.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/cfuncs.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/common_rules.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/common_rules.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/crackfortran.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/crackfortran.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/diagnose.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/diagnose.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/f2py2e.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/f2py2e.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/f2py_testing.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/f2py_testing.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/f90mod_rules.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/f90mod_rules.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/func2subr.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/func2subr.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/info.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/info.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/rules.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/rules.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/setup.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/setup.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/setupscons.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/setupscons.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/use_rules.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/f2py/__pycache__/use_rules.cpython-33.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/__version__.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/__version__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/__version__.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/auxfuncs.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/auxfuncs.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/auxfuncs.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/capi_maps.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/capi_maps.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/capi_maps.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/cb_rules.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/cb_rules.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/cb_rules.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/cfuncs.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/cfuncs.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/cfuncs.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/common_rules.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/common_rules.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/common_rules.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/crackfortran.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/crackfortran.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/crackfortran.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/diagnose.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/diagnose.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/diagnose.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/docs/FAQ.txt
 %%PYTHON_SITELIBDIR%%/numpy/f2py/docs/HISTORY.txt
 %%PYTHON_SITELIBDIR%%/numpy/f2py/docs/OLDNEWS.txt
@@ -505,29 +534,13 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/docs/usersguide/var.pyf
 %%PYTHON_SITELIBDIR%%/numpy/f2py/docs/usersguide/var_session.dat
 %%PYTHON_SITELIBDIR%%/numpy/f2py/f2py2e.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py2e.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py2e.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/f2py_testing.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py_testing.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f2py_testing.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/f90mod_rules.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f90mod_rules.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/f90mod_rules.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/func2subr.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/func2subr.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/func2subr.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/info.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/info.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/info.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/rules.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/rules.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/rules.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/setup.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/setup.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/setupscons.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/setupscons.pyo
 %%PYTHON_SITELIBDIR%%/numpy/f2py/src/fortranobject.c
 %%PYTHON_SITELIBDIR%%/numpy/f2py/src/fortranobject.h
 %%PYTHON_SITELIBDIR%%/numpy/f2py/tests/src/array_from_pyobj/wrapmodule.c
@@ -554,91 +567,98 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/tests/test_size.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/tests/util.py
 %%PYTHON_SITELIBDIR%%/numpy/f2py/use_rules.py
-%%PYTHON_SITELIBDIR%%/numpy/f2py/use_rules.pyc
-%%PYTHON_SITELIBDIR%%/numpy/f2py/use_rules.pyo
 %%PYTHON_SITELIBDIR%%/numpy/fft/__init__.py
-%%PYTHON_SITELIBDIR%%/numpy/fft/__init__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/fft/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/__init__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/__init__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/fftpack.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/fftpack.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/helper.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/helper.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/info.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/info.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/setup.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/setup.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/setupscons.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/fft/__pycache__/setupscons.cpython-33.pyo
 %%PYTHON_SITELIBDIR%%/numpy/fft/fftpack.py
-%%PYTHON_SITELIBDIR%%/numpy/fft/fftpack.pyc
-%%PYTHON_SITELIBDIR%%/numpy/fft/fftpack.pyo
 %%PYTHON_SITELIBDIR%%/numpy/fft/fftpack_lite.so
 %%PYTHON_SITELIBDIR%%/numpy/fft/helper.py
-%%PYTHON_SITELIBDIR%%/numpy/fft/helper.pyc
-%%PYTHON_SITELIBDIR%%/numpy/fft/helper.pyo
 %%PYTHON_SITELIBDIR%%/numpy/fft/info.py
-%%PYTHON_SITELIBDIR%%/numpy/fft/info.pyc
-%%PYTHON_SITELIBDIR%%/numpy/fft/info.pyo
 %%PYTHON_SITELIBDIR%%/numpy/fft/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/fft/setup.pyc
-%%PYTHON_SITELIBDIR%%/numpy/fft/setup.pyo
 %%PYTHON_SITELIBDIR%%/numpy/fft/setupscons.py
-%%PYTHON_SITELIBDIR%%/numpy/fft/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/fft/setupscons.pyo
 %%PYTHON_SITELIBDIR%%/numpy/fft/tests/test_fftpack.py
 %%PYTHON_SITELIBDIR%%/numpy/fft/tests/test_helper.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/__init__.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/__init__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/__init__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/__init__.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/_datasource.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/_datasource.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/_iotools.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/_iotools.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/arraypad.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/arraypad.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/arraysetops.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/arraysetops.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/arrayterator.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/arrayterator.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/financial.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/financial.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/format.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/format.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/function_base.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/function_base.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/index_tricks.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/index_tricks.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/info.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/info.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/npyio.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/npyio.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/polynomial.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/polynomial.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/recfunctions.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/recfunctions.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/scimath.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/scimath.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/setup.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/setup.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/setupscons.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/setupscons.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/shape_base.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/shape_base.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/stride_tricks.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/stride_tricks.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/twodim_base.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/twodim_base.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/type_check.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/type_check.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/ufunclike.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/ufunclike.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/user_array.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/user_array.cpython-33.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/utils.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/lib/__pycache__/utils.cpython-33.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/_compiled_base.so
 %%PYTHON_SITELIBDIR%%/numpy/lib/_datasource.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/_datasource.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/_datasource.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/_iotools.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/_iotools.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/_iotools.pyo
+%%PYTHON_SITELIBDIR%%/numpy/lib/arraypad.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/arraysetops.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/arraysetops.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/arraysetops.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/arrayterator.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/arrayterator.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/arrayterator.pyo
-%%PYTHON_SITELIBDIR%%/numpy/lib/benchmarks/benchmark.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/benchmarks/casting.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/benchmarks/creating.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/benchmarks/simpleindex.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/benchmarks/sorting.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/financial.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/financial.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/financial.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/format.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/format.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/format.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/function_base.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/function_base.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/function_base.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/index_tricks.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/index_tricks.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/index_tricks.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/info.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/info.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/info.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/npyio.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/npyio.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/npyio.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/polynomial.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/polynomial.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/polynomial.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/recfunctions.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/recfunctions.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/recfunctions.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/scimath.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/scimath.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/scimath.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/setup.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/setup.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/setup.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/setupscons.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/setupscons.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/setupscons.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/shape_base.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/shape_base.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/shape_base.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/stride_tricks.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/stride_tricks.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/stride_tricks.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test__datasource.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test__iotools.py
+%%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_arraypad.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_arraysetops.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_arrayterator.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_financial.py
@@ -656,60 +676,56 @@ bin/f2py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_ufunclike.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/tests/test_utils.py
 %%PYTHON_SITELIBDIR%%/numpy/lib/twodim_base.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/twodim_base.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/twodim_base.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/type_check.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/type_check.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/type_check.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/ufunclike.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/ufunclike.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/ufunclike.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/user_array.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/user_array.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/user_array.pyo
 %%PYTHON_SITELIBDIR%%/numpy/lib/utils.py
-%%PYTHON_SITELIBDIR%%/numpy/lib/utils.pyc
-%%PYTHON_SITELIBDIR%%/numpy/lib/utils.pyo
 %%PYTHON_SITELIBDIR%%/numpy/linalg/__init__.py
-%%PYTHON_SITELIBDIR%%/numpy/linalg/__init__.pyc
-%%PYTHON_SITELIBDIR%%/numpy/linalg/__init__.pyo
+%%PYTHON_SITELIBDIR%%/numpy/linalg/__pycache__/__init__.cpython-33.pyc
+%%PYTHON_SITELIBDIR%%/numpy/linalg/__pycache__/__init__.cpython-33.pyo

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Sivachenko freebsd_committer 2013-05-20 07:20:47 UTC
State Changed
From-To: feedback->closed

Port updated, thanks!
Comment 7 Mark Linimon 2013-05-20 21:17:06 UTC
----- Forwarded message from Roland Smith <rsmith@xs4all.nl> -----

Date: Mon, 20 May 2013 19:48:40 +0200
From: Roland Smith <rsmith@xs4all.nl>
To: demon@FreeBSD.org
Cc: llwang@infor.org, freebsd-python@FreeBSD.org
Subject: Re: ports/178256: [PATCH] Unbreak math/py-numpy with python 3.3 and update to 1.7.0.
User-Agent: Mutt/1.5.21 (2010-09-15)

There is a mistake in the pkg_plist. It contains several __pycache__
directories from a python3.3 build. Those should not be in the plist when the
port is built for python2. But I don't know how to handle that.

Roland
-- 
R.F.Smith                                   http://rsmith.home.xs4all.nl/
[plain text _non-HTML_ PGP/GnuPG encrypted/signed email much appreciated]
pgp: 1A2B 477F 9970 BA3C 2914  B7CE 1277 EFB0 C321 A725 (KeyID: C321A725)

----- End forwarded message -----